import request from "@/utils/request";

// 查询【请填写功能名称】列表
export function list(query) {
  return request({
    url: "/core/resumption/protection/page",
    method: "get",
    params: query,
  });
}

// 查询【请填写功能名称】详细
export function get(id) {
  return request({
    url: "/core/resumption/protection/" + id,
    method: "get",
  });
}

// 修改【请填写功能名称】
export function update(data) {
  return request({
    url: "/core/resumption/protection/edit",
    method: "post",
    data: data,
    showLoading: true,
  });
}

// 删除【请填写功能名称】
export function del(id) {
  return request({
    url: "/core/resumption/protection/" + id,
    method: "delete",
  });
}

// 更新状态
export function updateStatus(id,status) {
    return request({
      url: `/core/resumption/protection/updatestatus/${id}/${status}`,
      method: "post",
    });
  }

  
// 更新状态
export function history(query) {
  // query.startTime=new Date().toLocaleString()
  // delete query.updateTime;
  return request({
    url: `/core/resumption/protection/log/page`,
    method: "get",
    params:query
  });
}
